### Method

# Ide Buffer get_changed_on_volume

#### Declaration

    gboolean
    ide_buffer_get_changed_on_volume (
      IdeBuffer* self
    )

#### Description

Returns `TRUE` if the `IdeBuffer` is known to have been modified on storage externally from this `IdeBuffer`.

Available since: | 3.32

Gets property | `Ide.Buffer:changed-on-volume`

#### Return value

Returns: | `gboolean`
| `TRUE` if `self` is known to be modified on storage.